<div mat-dialog-content>
    <div class="edit-diet-wrapper">
        <div class="edit-diet-sections">
            <div class="group-settings">
                <span class="menu-group-label">Account</span>
                <div class="item-menu user-info">
                    <div class="user-info-avatar"></div>
                    <div class="user-info-text">
                        <label>Alejandro Antolin Alcalde</label>
                        <span>alex.antolin.alcalde@gmail.com</span>
                    </div>
                </div>
                <div class="item-menu">
                    <mat-icon>edit</mat-icon>Notificaciones
                </div>
                <div class="item-menu">
                    <mat-icon>edit</mat-icon>Idioma
                </div>
            </div>

            <div class="group-settings">
                <span class="menu-group-label">Diet</span>
                <div class="item-menu">
                    <mat-icon>edit</mat-icon>Información básica
                </div>
                <div class="item-menu">
                    <mat-icon>schedule</mat-icon>Programación
                </div>
                <div class="item-menu">
                    <mat-icon>chat</mat-icon>Comentarios
                </div>
                <div class="item-menu">
                    <mat-icon>receipt_long</mat-icon>Lista de la compra
                </div>
                <div class="item-menu">
                    <mat-icon>settings</mat-icon>Configuración
                </div>
            </div>
            

        </div>

        <div class="edit-diet-content">

            <form [formGroup]="cloneDayForm">
                <h2>Clonar dieta</h2>
                <div class="stepper">
                    <p class="stepper-hint">Selecciona el día que quieres clonar:</p>

                    <mat-form-field appearance="fill">
                        <mat-label>Día</mat-label>
                        <mat-select formControlName="dayToClone">
                            <mat-option *ngFor="let day of days; let i = index" [value]="i">
                                {{ day }}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
                <div class="stepper">
                    <p class="stepper-hint">Selecciona los días donde clonarlo:</p>

                    <div formArrayName="daysToBeOverride" class="days-to-be-override">
                        <ng-container *ngFor="let dayForm of daysToBeOverride.controls; let i = index">
                            <ng-container [formGroupName]="i">

                                <mat-checkbox class="example-margin" formControlName="day"
                                    [disabled]="dayToClone.value === i">{{ days[i]}}</mat-checkbox>
                            </ng-container>

                        </ng-container>
                    </div>
                </div>

                <button mat-button color="primary" (click)="cloneDays()">
                    <mat-icon>edit</mat-icon>Clonar
                </button>
            </form>


        </div>

    </div>
</div>